#! /bin/sh

#   Vincenzo Tschinke, Ph.D.
#   Switzerland
#        
#   Contact:
#    
#       newlead|at|me.com

#   ===============================================================

#   wrapper to run newlead in a terminal shell, usually from MOE
#   uses standard file-names for all files except the newlead input

#   arguments

#   $1  newlead options (e.g. '-r')
#   $2  newlead input
#   $3  lock file

#	updated

#		Fri May 22 17:02:26 CEST 2009

#		May 29, 2009 7:44:29 AM GMT+02:00

#   ===============================================================

# if NEWLEAD_ROOT is not defined globally, define it here
# export NEWLEAD_ROOT=<path to NEWLEAD>

# create/update lock-file
touch $3

# C executable -- must be in the PATH
NLD=newlead

# post-processor -- check in standard location
PST=$NEWLEAD_ROOT/scripts/nld2moe
if [ ! -e "$PST" ]
then
# then maybe it's in the PATH
	PST=nld2moe
elif [ ! -x "`which $PST`" ]
# grant executable state if needed
then
	chmod u+x $PST
fi

echo "Running" $NLD "..."

# perform calculation
$NLD $1 -i $2

echo "Running" $PST "..."

# post-process
$PST nld.out -n nld.mmod > nld.svl_script

# remove lock-file
rm $3 2>/dev/null

echo "Calculation done; exiting..."
